List all budgets
Returns a list of all budgets on an account. Ordered by creation date, newest first by default. Use the sort parameter to change the sort order.
Use the include parameter to return optional information such as available, pending, and ledger balances.
curl --request GET \
--url 'https://api.equalsmoney.com/v2/budgets?accountId={{accountId}}' \
--header 'Authorization: <api-key>'import requests
url = "https://api.equalsmoney.com/v2/budgets"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.equalsmoney.com/v2/budgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 200,
"offset": 100,
"count": 67,
"rows": [
{
"id": "775596ae-2624-40af-a9dc-9756110a4a03",
"boxId": "a43231c221",
"name": "Team Party",
"accountId": "F50091",
"parentId": "775596ae-2624-40af-a9dc-9756110a4a03",
"feature": [
{
"id": "string",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"payments": true,
"budgetCards": true,
"peopleCards": true,
"forwardDeposits": true,
"lowBalanceThreshold": 0,
"lowBalanceCurrencyCode": "AED",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"currency": [
{
"id": "string",
"boxCurrencyId": 0,
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"currencyCode": "USD",
"local": "unique",
"international": "unique",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"balance": [
{
"id": "string",
"currencyCode": "USD",
"availableBalance": 10,
"lastUpdatedSequentialId": 0,
"currency": "USD",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"ledgerBalance": 50,
"pendingBalance": 40,
"allocatedBalance": 10,
"ledgerAndAllocatedBalance": 60,
"activeCurrencyOnBudget": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"totalBalance": [
{
"id": "string",
"currencyCode": "USD",
"availableBalance": 10,
"lastUpdatedSequentialId": 0,
"currency": "USD",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"ledgerBalance": 50,
"pendingBalance": 40,
"allocatedBalance": 10,
"ledgerAndAllocatedBalance": 60,
"activeCurrencyOnBudget": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"children": [
{
"id": "string",
"currencyCode": "USD",
"availableBalance": 10,
"lastUpdatedSequentialId": 0,
"currency": "USD",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"ledgerBalance": 50,
"pendingBalance": 40,
"allocatedBalance": 10,
"ledgerAndAllocatedBalance": 60,
"activeCurrencyOnBudget": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"details": [
{
"currency": "USD",
"sortCode": "12-34-56",
"accountNumber": "12345678",
"ibans": [
{
"iban": "GB26SPPV23188497371875",
"bic": "BARCGB22"
}
],
"accountName": "Equals Money",
"bankName": "SPECTRUM PAYMENT SERVICES",
"bankAddress": "Vintners Place, 68 Upper Thames St, London, EC4V 3BJ, United Kingdom",
"balanceReference": "Balance reference"
}
],
"settlementDetails": {
"currencyDetails": [
{
"currencyCode": "USD",
"local": {
"accountIdentifier": "31510604",
"bankIdentifier": "10-00-00",
"payeeName": "ACME",
"bankName": "Brilliant Bank",
"bankAddress": {
"addressLine1": "41 Middle Street",
"addressLine2": "string",
"addressLine3": "string",
"city": "Enfield",
"postcode": "EN1 3JY",
"country": "United Kingdom"
}
},
"international": {
"accountIdentifier": "31510604",
"bankIdentifier": "10-00-00",
"payeeName": "ACME",
"bankName": "Brilliant Bank",
"bankAddress": {
"addressLine1": "41 Middle Street",
"addressLine2": "string",
"addressLine3": "string",
"city": "Enfield",
"postcode": "EN1 3JY",
"country": "United Kingdom"
}
}
}
],
"balanceReference": "Balance reference"
},
"individualBudgetHolder": {
"id": "b489ea2c-0dd1-4fb1-b345-de5a596a5527",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"personaId": "775596ae-2624-40af-a9dc-9756110a4a04",
"createdAt": "2019-08-24T14:15:22Z"
},
"priority": 1,
"level": 1,
"type": "accountBalance",
"status": "active",
"allowCurrencyAlignment": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
]
}Authorizations
Query Parameters
The ID of the account to work with.
"F50091"
The maximum number of results to return.
1 <= x <= 1000200
The number of items to skip before returning results.
100
The ID of the budget to work with. Use commas to pass multiple values. Has to be URL encoded.
Optional embeds to include when returning the budgets.
balance, budgetHierarchy, settlementDetails "balance,budgetHierarchy"
The term to search the records for.
100"Cesar+Treutel"
The type of budget to filter results by. Use commas to pass multiple values.
accountBalance, forwardDeposits, shared, individual "individual,shared"
The currency code, in ISO-4217 format.
^[A-Z]{3}$"USD"
The ID of the person to work with.
36"775596ae-2624-40af-a9dc-9756110a4a04"
Sort order for the results. createdAt.asc sorts by creation date oldest first, createdAt.desc sorts by creation date newest first, name.asc sorts alphabetically by budget name, name.desc sorts reverse alphabetically by budget name. Defaults to createdAt.desc.
createdAt.asc, createdAt.desc, name.asc, name.desc Response
OK
The total amount of records matching the querying when "limit" is ignored.
67
Expected response to a valid request
Show child attributes
Show child attributes
The maximum number of results to return.
1 <= x <= 1000200
The number of items to skip before returning results.
100
Was this page helpful?
